SDL_GetProcessOutput(3)

NAME
SDL_GetProcessOutput - Get the SDL_IOStream associated with process standard output.

SYNOPSIS
#include <SDL3/SDL_process.h>

SDL_IOStream * SDL_GetProcessOutput(SDL_Process *process);

DESCRIPTION
The process must have been created with SDL_CreateProcess() and pipe_stdio set to true, or with SDL_CreateProcessWithProperties() and SDL_PROP_PROCESS_CREATE_STDOUT_NUMBER set to SDL_PROCESS_STDIO_APP.

Reading from this stream can return 0 with SDL_GetIOStatus() returning SDL_IO_STATUS_NOT_READY if no output is available yet.

FUNCTION PARAMETERS

process
    The process to get the output stream for.

RETURN VALUE
Returns the output stream or NULL on failure; call SDL_GetError() for more information.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_CreateProcess(3), SDL_CreateProcessWithProperties(3), SDL_GetProcessInput(3)